Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Public Member Functions
HDFArray Class Reference

## Public Member Functions
Object | arrayify (byte[] bytes) throws HDF5JavaException
byte[] | byteify () throws HDF5JavaException
byte[] | emptyBytes () throws HDF5JavaException
| HDFArray (Object anArray) throws HDF5JavaException

## Constructor & Destructor Documentation

## ◆ HDFArray()

HDFArray | ( | Object | anArray | ) | throws HDF5JavaException

The input must be a Java Array (possibly multidimensional) of primitive numbers or sub-classes of Number.

The input is analysed to determine the number of dimensions and size of each dimension, as well as the type of the elements.

The description is saved in private variables, and used to convert data.

Parameters

  anArray | The array object.

Exceptions

  hdf.hdf5lib.exceptions.HDF5JavaException | object is not an array.

## Member Function Documentation

## ◆ arrayify()

Object arrayify | ( | byte[] | bytes | ) | throws HDF5JavaException

Given a one-dimensional array of bytes representing numbers, convert it to a java array of the shape and size passed to the constructor.

Parameters

  bytes | The bytes to construct the Array.

Returns
  An Array (possibly multidimensional) of primitive or number objects.

Exceptions

  hdf.hdf5lib.exceptions.HDF5JavaException | the object not an array or other internal error.

## ◆ byteify()

byte[] byteify | ( |  | ) | throws HDF5JavaException

Given a Java array of numbers, convert it to a one-dimensional array of bytes in correct native order.

Returns
  A one-D array of bytes, constructed from the Array passed to the constructor.

Exceptions

  hdf.hdf5lib.exceptions.HDF5JavaException | the object not an array or other internal error.

## ◆ emptyBytes()

byte[] emptyBytes | ( |  | ) | throws HDF5JavaException

Allocate a one-dimensional array of bytes sufficient to store the array.

Returns
  A one-D array of bytes, filled with zeroes. The bytes are sufficient to hold the data of the Array passed to the constructor.

Exceptions

  hdf.hdf5lib.exceptions.HDF5JavaException | Allocation failed.

The documentation for this class was generated from the following file:

- java/src-jni/hdf/hdf5lib/HDFArray.java